Subject: Re: [PATCH] iproute2 flush: handle larger tables and deleted entries

From: Patrick McHardy <[email-masked]>
Date: Tue, 14 Jul 2009 11:38:59 +0200

Gautam Kachroo wrote:
> use a new netlink socket when sending flush messages to avoid reading
> any pending data on the existing netlink socket.
> 
> read all of the response from the netlink request -- this response can
> be split over multiple recv calls, pretty much one per netlink request
> message. ENOENT errors, which correspond to attempts to delete an
> already deleted entry, are ignored. Other errors are not ignored.

In which case would there be any pending data? From what I can see,
this can only happen when using batching, but in that case the
previous command should continue reading until it has received all
responses (which the netlink functions appear to be doing properly).